local bbs2util = require "bbs2util"

function data()

return {
	tracks = {
		{ name = "vehicle/h_wagen/gw_roll_n.wav", refDist = 25.0 },
		{ name = "vehicle/h_wagen/anfahrt.wav", refDist = 25.0 },
		{ name = "vehicle/h_wagen/kurve.wav", refDist = 25.0 },
		{ name = "vehicle/h_wagen/bremse_mix.wav", refDist = 25.0 }
	},	
	events = {
		openDoors = { names = { "vehicle/h_wagen/hw_auf.wav" }, refDist = 10.0 },
		closeDoors = { names = { "vehicle/h_wagen/hw_zu.wav" }, refDist = 10.0 }
	},	 

	updateFn = function (input)
		local speed01 = input.speed / input.topSpeed
		local refWeight = 20.0	
		local axleRefWeight = 10.0
		
		return {
			tracks = {
				{ 
					gain = bbs2util.sampleCurve({ 
									{ .0, .0 },
									{ .2, .3 },
									{ 1.0, 0.8 } }, speed01),
					pitch = bbs2util.sampleCurve({ 
									{ .0, 0.4 }, 
									{ 1.0, 1.5 } }, speed01)
				},
				--Anfahrt
				{ 
					gain = bbs2util.sampleCurve({ 
									{ .0, .0 },
									{ .01, 0.75 },
									{ .3, 0.6 },
									{ .39, .0 },
									{ 1.0, .0 } }, speed01),
					pitch = bbs2util.sampleCurve({ 
									{ .0, 1.0 },
									{ .4, 1.15 },
									{ 1.0, 1.15 } }, speed01)
				},				
				bbs2util.squeal(input.speed, input.sideForce, input.maxSideForce),
				bbs2util.brake(input.speed, input.brakeDecel, 1.0),
			},
			events = {
				openDoors = { gain = .7, pitch = 1 },
				closeDoors = { gain = .7, pitch = 1 },
			}			
	}
	end
}
end
